/*===========================================================================*/
/*   (Read/include.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Read/include.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
static obj_t BGl_handlerz00zzread_includez00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_readzd2includezd2zzread_includez00(obj_t);
BGL_IMPORT obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_za2includezd2readza2zd2zzread_includez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl__readzd2includezd2zzread_includez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_escapez00zzread_includez00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza31044ze3z83zzread_includez00(obj_t);
BGL_IMPORT obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_zc3anonymousza31046ze3z83zzread_includez00(obj_t);
static obj_t BGl_zc3exitza31035ze3z83zzread_includez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2includezd2multipleza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza31050ze3z83zzread_includez00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzread_includez00();
static obj_t BGl_zc3anonymousza31053ze3z83zzread_includez00(obj_t);
BGL_IMPORT obj_t close_input_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzread_includez00();
static obj_t BGl_requirezd2initializa7ationz75zzread_includez00 = BUNSPEC;
BGL_IMPORT obj_t BGl_za2loadzd2pathza2zd2zz__evalz00;
BGL_IMPORT obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzread_includez00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
BGL_IMPORT obj_t BGl_readerzd2resetz12zc0zz__readerz00();
BGL_IMPORT obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzread_includez00();
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1199z00zzread_includez00, BgL_bgl_string1199za700za7za7read_includeza7001237z00, "]", 1 );
DEFINE_STRING( BGl_string1204z00zzread_includez00, BgL_bgl_string1204za700za7za7read_includeza7001238z00, "directives ", 11 );
DEFINE_STRING( BGl_string1203z00zzread_includez00, BgL_bgl_string1203za700za7za7read_includeza7001239z00, "Can't find include file", 23 );
DEFINE_STRING( BGl_string1202z00zzread_includez00, BgL_bgl_string1202za700za7za7read_includeza7001240z00, "Can't open such file", 20 );
DEFINE_STRING( BGl_string1201z00zzread_includez00, BgL_bgl_string1201za700za7za7read_includeza7001241z00, "read-include", 12 );
DEFINE_STRING( BGl_string1200z00zzread_includez00, BgL_bgl_string1200za700za7za7read_includeza7001242z00, "      [reading include file ", 28 );
DEFINE_EXPORT_PROCEDURE( BGl_readzd2includezd2envz00zzread_includez00, BgL_bgl__readza7d2includeza7d2za7za7read_includeza7001243za7, BGl__readzd2includezd2zzread_includez00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzread_includez00(long BgL_checksumz00_143, char * BgL_fromz00_144)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzread_includez00))
{ 
BGl_requirezd2initializa7ationz75zzread_includez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzread_includez00(); 
BGl_cnstzd2initzd2zzread_includez00(); 
BGl_importedzd2moduleszd2initz00zzread_includez00(); 
BGl_toplevelzd2initzd2zzread_includez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzread_includez00()
{ AN_OBJECT;
{ /* ./Read/include.scm 15 */
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "read_include"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "read_include"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzread_includez00()
{ AN_OBJECT;
{ /* ./Read/include.scm 15 */
{ /* ./Read/include.scm 15 */
obj_t BgL_cportz00_136;
BgL_cportz00_136 = 
open_input_string(BGl_string1204z00zzread_includez00); 
{ 
long BgL_iz00_137;
BgL_iz00_137 = ((long)0); 
BgL_loopz00_138:
{ /* ./Read/include.scm 15 */
bool_t BgL_test1206z00_139;
BgL_test1206z00_139 = 
(BgL_iz00_137==((long)-1)); 
if(BgL_test1206z00_139)
{ /* ./Read/include.scm 15 */
return BUNSPEC;}  else 
{ /* ./Read/include.scm 15 */
{ /* ./Read/include.scm 15 */
obj_t BgL_arg1210z00_140;
{ /* ./Read/include.scm 15 */
obj_t BgL_list1213z00_141;
BgL_list1213z00_141 = 
MAKE_PAIR(BgL_cportz00_136, BNIL); 
BgL_arg1210z00_140 = 
BGl_readz00zz__readerz00(BgL_list1213z00_141); } 
{ /* ./Read/include.scm 15 */
int BgL_auxz00_165;
BgL_auxz00_165 = 
(int)(BgL_iz00_137); 
CNST_TABLE_SET(BgL_auxz00_165, BgL_arg1210z00_140); } } 
{ /* ./Read/include.scm 15 */
int BgL_auxz00_142;
{ /* ./Read/include.scm 15 */
long BgL_auxz00_168;
BgL_auxz00_168 = 
(BgL_iz00_137-((long)1)); 
BgL_auxz00_142 = 
(int)(BgL_auxz00_168); } 
{ 
long BgL_iz00_171;
BgL_iz00_171 = 
(long)(BgL_auxz00_142); 
BgL_iz00_137 = BgL_iz00_171; 
goto BgL_loopz00_138;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzread_includez00()
{ AN_OBJECT;
{ /* ./Read/include.scm 15 */
return ( 
BGl_za2includezd2readza2zd2zzread_includez00 = BNIL, BUNSPEC) ;} 
}



/* read-include */
BGL_EXPORTED_DEF obj_t BGl_readzd2includezd2zzread_includez00(obj_t BgL_filez00_1)
{ AN_OBJECT;
{ /* ./Read/include.scm 26 */
{ /* ./Read/include.scm 27 */
obj_t BgL_cellz00_5;
BgL_cellz00_5 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_filez00_1, BGl_za2includezd2readza2zd2zzread_includez00); 
{ /* ./Read/include.scm 28 */
bool_t BgL_test1012z00_6;
BgL_test1012z00_6 = 
PAIRP(BgL_cellz00_5); 
if(BgL_test1012z00_6)
{ /* ./Read/include.scm 28 */
if(
CBOOL(BGl_za2includezd2multipleza2zd2zzengine_paramz00))
{ /* ./Read/include.scm 64 */
return 
CDR(BgL_cellz00_5);}  else 
{ /* ./Read/include.scm 64 */
return 
MAKE_PAIR(BNIL, BNIL);} }  else 
{ /* ./Read/include.scm 28 */
{ /* ./Read/include.scm 30 */
obj_t BgL_fnamez00_7;
BgL_fnamez00_7 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_filez00_1, BGl_za2loadzd2pathza2zd2zz__evalz00); 
{ /* ./Read/include.scm 31 */
obj_t BgL_arg1018z00_10;
if(
CBOOL(BgL_fnamez00_7))
{ /* ./Read/include.scm 31 */
BgL_arg1018z00_10 = BgL_fnamez00_7; }  else 
{ /* ./Read/include.scm 31 */
BgL_arg1018z00_10 = BgL_filez00_1; } 
{ /* ./Read/include.scm 31 */
obj_t BgL_list1021z00_12;
{ /* ./Read/include.scm 31 */
obj_t BgL_arg1023z00_13;
{ /* ./Read/include.scm 31 */
obj_t BgL_arg1026z00_14;
{ /* ./Read/include.scm 31 */
obj_t BgL_arg1029z00_15;
{ /* ./Read/include.scm 31 */
obj_t BgL_auxz00_183;
BgL_auxz00_183 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1029z00_15 = 
MAKE_PAIR(BgL_auxz00_183, BNIL); } 
BgL_arg1026z00_14 = 
MAKE_PAIR(BGl_string1199z00zzread_includez00, BgL_arg1029z00_15); } 
BgL_arg1023z00_13 = 
MAKE_PAIR(BgL_arg1018z00_10, BgL_arg1026z00_14); } 
BgL_list1021z00_12 = 
MAKE_PAIR(BGl_string1200z00zzread_includez00, BgL_arg1023z00_13); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list1021z00_12); } } 
BGl_readerzd2resetz12zc0zz__readerz00(); 
{ /* ./Read/include.scm 34 */
bool_t BgL_test1033z00_17;
BgL_test1033z00_17 = 
STRINGP(BgL_fnamez00_7); 
if(BgL_test1033z00_17)
{ /* ./Read/include.scm 36 */
obj_t BgL_portz00_18;
BgL_portz00_18 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_7, BNIL); 
{ /* ./Read/include.scm 37 */
bool_t BgL_test1034z00_19;
BgL_test1034z00_19 = 
INPUT_PORTP(BgL_portz00_18); 
if(BgL_test1034z00_19)
{ /* ./Read/include.scm 42 */
obj_t BgL_handlerz00_98;
{ 
int BgL_auxz00_199;int BgL_auxz00_197;
BgL_auxz00_199 = 
(int)(((long)1)); 
BgL_auxz00_197 = 
(int)(((long)4)); 
BgL_handlerz00_98 = 
make_fx_procedure(BGl_handlerz00zzread_includez00, BgL_auxz00_197, BgL_auxz00_199); } 
{ /* ./Read/include.scm 42 */
int BgL_auxz00_202;
BgL_auxz00_202 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_98, BgL_auxz00_202, BgL_portz00_18); } 
{ /* ./Read/include.scm 45 */
obj_t BgL_armed1007z00_21;obj_t BgL_handler1004z00_22;
BgL_armed1007z00_21 = 
MAKE_CELL(BUNSPEC); 
BgL_handler1004z00_22 = 
MAKE_CELL(BUNSPEC); 
{ /* ./Read/include.scm 45 */
obj_t BgL_zc3anonymousza31053ze3z83_94;obj_t BgL_zc3anonymousza31050ze3z83_96;
{ 
int BgL_auxz00_207;int BgL_auxz00_205;
BgL_auxz00_207 = 
(int)(((long)2)); 
BgL_auxz00_205 = 
(int)(((long)0)); 
BgL_zc3anonymousza31053ze3z83_94 = 
make_fx_procedure(BGl_zc3anonymousza31053ze3z83zzread_includez00, BgL_auxz00_205, BgL_auxz00_207); } 
{ 
int BgL_auxz00_212;int BgL_auxz00_210;
BgL_auxz00_212 = 
(int)(((long)2)); 
BgL_auxz00_210 = 
(int)(((long)4)); 
BgL_zc3anonymousza31050ze3z83_96 = 
make_fx_procedure(BGl_zc3anonymousza31050ze3z83zzread_includez00, BgL_auxz00_210, BgL_auxz00_212); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_215;
BgL_auxz00_215 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31053ze3z83_94, BgL_auxz00_215, BgL_portz00_18); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_218;
BgL_auxz00_218 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31053ze3z83_94, BgL_auxz00_218, BgL_filez00_1); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_221;
BgL_auxz00_221 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31050ze3z83_96, BgL_auxz00_221, BgL_armed1007z00_21); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_224;
BgL_auxz00_224 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31050ze3z83_96, BgL_auxz00_224, BgL_handler1004z00_22); } 
CELL_SET(BgL_handler1004z00_22, BgL_handlerz00_98); 
CELL_SET(BgL_armed1007z00_21, BTRUE); 
return 
BGl_zc3exitza31035ze3z83zzread_includez00(BgL_zc3anonymousza31053ze3z83_94, BgL_zc3anonymousza31050ze3z83_96, BgL_handler1004z00_22, BgL_armed1007z00_21);} } }  else 
{ /* ./Read/include.scm 37 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1201z00zzread_includez00, BGl_string1202z00zzread_includez00, BgL_filez00_1, BNIL);} } }  else 
{ /* ./Read/include.scm 34 */
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string1201z00zzread_includez00, BGl_string1203z00zzread_includez00, BgL_filez00_1, BNIL);} } } } } } } 
}



/* <exit:1035> */
obj_t BGl_zc3exitza31035ze3z83zzread_includez00(obj_t BgL_zc3anonymousza31053ze3z83_135, obj_t BgL_zc3anonymousza31050ze3z83_134, obj_t BgL_handler1004z00_133, obj_t BgL_armed1007z00_132)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit1008z00_26;
if( SET_EXIT(BgL_an_exit1008z00_26) ) { 
return 
_exit_value_;
} else {
BgL_an_exit1008z00_26 = 
(obj_t)jmpbuf; 
{ /* ./Read/include.scm 45 */

PUSH_EXIT(BgL_an_exit1008z00_26, ((bool_t)1)); 
{ /* ./Read/include.scm 45 */
obj_t BgL_an_exitd1009z00_27;
BgL_an_exitd1009z00_27 = 
BGL_EXITD_TOP(); 
{ /* ./Read/include.scm 45 */
obj_t BgL_escapez00_95;
{ 
int BgL_auxz00_236;int BgL_auxz00_234;
BgL_auxz00_236 = 
(int)(((long)1)); 
BgL_auxz00_234 = 
(int)(((long)1)); 
BgL_escapez00_95 = 
make_fx_procedure(BGl_escapez00zzread_includez00, BgL_auxz00_234, BgL_auxz00_236); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_239;
BgL_auxz00_239 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_95, BgL_auxz00_239, BgL_an_exitd1009z00_27); } 
{ /* ./Read/include.scm 45 */
obj_t BgL_res1011z00_30;
{ /* ./Read/include.scm 45 */
obj_t BgL_zc3anonymousza31046ze3z83_93;obj_t BgL_zc3anonymousza31044ze3z83_97;
{ 
int BgL_auxz00_244;int BgL_auxz00_242;
BgL_auxz00_244 = 
(int)(((long)1)); 
BgL_auxz00_242 = 
(int)(((long)0)); 
BgL_zc3anonymousza31046ze3z83_93 = 
make_fx_procedure(BGl_zc3anonymousza31046ze3z83zzread_includez00, BgL_auxz00_242, BgL_auxz00_244); } 
{ 
int BgL_auxz00_249;int BgL_auxz00_247;
BgL_auxz00_249 = 
(int)(((long)5)); 
BgL_auxz00_247 = 
(int)(((long)0)); 
BgL_zc3anonymousza31044ze3z83_97 = 
make_fx_procedure(BGl_zc3anonymousza31044ze3z83zzread_includez00, BgL_auxz00_247, BgL_auxz00_249); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_252;
BgL_auxz00_252 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31046ze3z83_93, BgL_auxz00_252, BgL_armed1007z00_132); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_255;
BgL_auxz00_255 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31044ze3z83_97, BgL_auxz00_255, BgL_an_exitd1009z00_27); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_258;
BgL_auxz00_258 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31044ze3z83_97, BgL_auxz00_258, BgL_armed1007z00_132); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_261;
BgL_auxz00_261 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31044ze3z83_97, BgL_auxz00_261, BgL_handler1004z00_133); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_264;
BgL_auxz00_264 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza31044ze3z83_97, BgL_auxz00_264, BgL_zc3anonymousza31050ze3z83_134); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_267;
BgL_auxz00_267 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza31044ze3z83_97, BgL_auxz00_267, BgL_escapez00_95); } 
BgL_res1011z00_30 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31044ze3z83_97, BgL_zc3anonymousza31053ze3z83_135, BgL_zc3anonymousza31046ze3z83_93); } 
POP_EXIT(); 
return BgL_res1011z00_30;} } } } 
} } 
}



/* _read-include */
obj_t BGl__readzd2includezd2zzread_includez00(obj_t BgL_envz00_99, obj_t BgL_filez00_100)
{ AN_OBJECT;
{ /* ./Read/include.scm 26 */
return 
BGl_readzd2includezd2zzread_includez00(BgL_filez00_100);} 
}



/* <anonymous:1046> */
obj_t BGl_zc3anonymousza31046ze3z83zzread_includez00(obj_t BgL_envz00_101)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
{ /* ./Read/include.scm 45 */
obj_t BgL_armed1007z00_102;
{ /* ./Read/include.scm 45 */
int BgL_auxz00_273;
BgL_auxz00_273 = 
(int)(((long)0)); 
BgL_armed1007z00_102 = 
PROCEDURE_REF(BgL_envz00_101, BgL_auxz00_273); } 
{ 

{ /* ./Read/include.scm 45 */
bool_t BgL_testz00_276;
{ /* ./Read/include.scm 45 */
obj_t BgL_auxz00_277;
BgL_auxz00_277 = 
CELL_REF(BgL_armed1007z00_102); 
BgL_testz00_276 = 
CBOOL(BgL_auxz00_277); } 
if(BgL_testz00_276)
{ /* ./Read/include.scm 45 */
CELL_SET(BgL_armed1007z00_102, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* ./Read/include.scm 45 */
return BFALSE;} } } } } 
}



/* <anonymous:1053> */
obj_t BGl_zc3anonymousza31053ze3z83zzread_includez00(obj_t BgL_envz00_104)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
{ /* ./Read/include.scm 45 */
obj_t BgL_portz00_105;obj_t BgL_filez00_106;
{ /* ./Read/include.scm 45 */
int BgL_auxz00_280;
BgL_auxz00_280 = 
(int)(((long)0)); 
BgL_portz00_105 = 
PROCEDURE_REF(BgL_envz00_104, BgL_auxz00_280); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_283;
BgL_auxz00_283 = 
(int)(((long)1)); 
BgL_filez00_106 = 
PROCEDURE_REF(BgL_envz00_104, BgL_auxz00_283); } 
{ 

{ /* ./Read/include.scm 45 */
obj_t BgL_firstz00_43;
{ /* ./Read/include.scm 45 */
obj_t BgL_list1101z00_64;
{ /* ./Read/include.scm 45 */
obj_t BgL_arg1103z00_65;
BgL_arg1103z00_65 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1101z00_64 = 
MAKE_PAIR(BgL_portz00_105, BgL_arg1103z00_65); } 
BgL_firstz00_43 = 
BGl_readz00zz__readerz00(BgL_list1101z00_64); } 
{ /* ./Read/include.scm 45 */
obj_t BgL_direcz00_44;
{ /* ./Read/include.scm 46 */
bool_t BgL_testz00_289;
if(
PAIRP(BgL_firstz00_43))
{ /* ./Read/include.scm 47 */
obj_t BgL_auxz00_294;obj_t BgL_auxz00_292;
BgL_auxz00_294 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_292 = 
CAR(BgL_firstz00_43); 
BgL_testz00_289 = 
(BgL_auxz00_292==BgL_auxz00_294); }  else 
{ /* ./Read/include.scm 46 */
BgL_testz00_289 = ((bool_t)0)
; } 
if(BgL_testz00_289)
{ /* ./Read/include.scm 46 */
BgL_direcz00_44 = BgL_firstz00_43; }  else 
{ /* ./Read/include.scm 46 */
BgL_direcz00_44 = BNIL; } } 
{ /* ./Read/include.scm 46 */

{ 
obj_t BgL_auxz00_45;obj_t BgL_sexpz00_46;
{ /* ./Read/include.scm 51 */
obj_t BgL_arg1055z00_48;
{ /* ./Read/include.scm 51 */
bool_t BgL_test1060z00_50;
BgL_test1060z00_50 = 
PAIRP(BgL_direcz00_44); 
if(BgL_test1060z00_50)
{ /* ./Read/include.scm 52 */
obj_t BgL_list1062z00_51;
{ /* ./Read/include.scm 52 */
obj_t BgL_arg1064z00_52;
BgL_arg1064z00_52 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1062z00_51 = 
MAKE_PAIR(BgL_portz00_105, BgL_arg1064z00_52); } 
BgL_arg1055z00_48 = 
BGl_readz00zz__readerz00(BgL_list1062z00_51); }  else 
{ /* ./Read/include.scm 51 */
BgL_arg1055z00_48 = BgL_firstz00_43; } } 
BgL_auxz00_45 = BgL_arg1055z00_48; 
BgL_sexpz00_46 = BNIL; 
BgL_loopz00_47:
{ /* ./Read/include.scm 55 */
bool_t BgL_test1068z00_53;
BgL_test1068z00_53 = 
EOF_OBJECTP(BgL_auxz00_45); 
if(BgL_test1068z00_53)
{ /* ./Read/include.scm 56 */
obj_t BgL_rz00_54;
{ /* ./Read/include.scm 57 */
obj_t BgL_arg1075z00_55;
BgL_arg1075z00_55 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_sexpz00_46); 
BgL_rz00_54 = 
MAKE_PAIR(BgL_direcz00_44, BgL_arg1075z00_55); } 
close_input_port(BgL_portz00_105); 
{ /* ./Read/include.scm 59 */
obj_t BgL_arg1123z00_90;
BgL_arg1123z00_90 = 
MAKE_PAIR(BgL_filez00_106, BgL_rz00_54); 
BGl_za2includezd2readza2zd2zzread_includez00 = 
MAKE_PAIR(BgL_arg1123z00_90, BGl_za2includezd2readza2zd2zzread_includez00); } 
return BgL_rz00_54;}  else 
{ /* ./Read/include.scm 61 */
obj_t BgL_arg1079z00_56;obj_t BgL_arg1080z00_57;
{ /* ./Read/include.scm 61 */
obj_t BgL_list1083z00_58;
{ /* ./Read/include.scm 61 */
obj_t BgL_arg1085z00_59;
BgL_arg1085z00_59 = 
MAKE_PAIR(BTRUE, BNIL); 
BgL_list1083z00_58 = 
MAKE_PAIR(BgL_portz00_105, BgL_arg1085z00_59); } 
BgL_arg1079z00_56 = 
BGl_readz00zz__readerz00(BgL_list1083z00_58); } 
BgL_arg1080z00_57 = 
MAKE_PAIR(BgL_auxz00_45, BgL_sexpz00_46); 
{ 
obj_t BgL_sexpz00_314;obj_t BgL_auxz00_313;
BgL_auxz00_313 = BgL_arg1079z00_56; 
BgL_sexpz00_314 = BgL_arg1080z00_57; 
BgL_sexpz00_46 = BgL_sexpz00_314; 
BgL_auxz00_45 = BgL_auxz00_313; 
goto BgL_loopz00_47;} } } } } } } } } } } 
}



/* <anonymous:1044> */
obj_t BGl_zc3anonymousza31044ze3z83zzread_includez00(obj_t BgL_envz00_107)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
{ /* ./Read/include.scm 45 */
obj_t BgL_zc3anonymousza31050ze3z83_111;obj_t BgL_escapez00_112;
{ /* ./Read/include.scm 45 */
int BgL_auxz00_315;
BgL_auxz00_315 = 
(int)(((long)3)); 
BgL_zc3anonymousza31050ze3z83_111 = 
PROCEDURE_REF(BgL_envz00_107, BgL_auxz00_315); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_318;
BgL_auxz00_318 = 
(int)(((long)4)); 
BgL_escapez00_112 = 
PROCEDURE_REF(BgL_envz00_107, BgL_auxz00_318); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza31050ze3z83_111, BgL_escapez00_112);} } } 
}



/* escape */
obj_t BGl_escapez00zzread_includez00(obj_t BgL_envz00_113, obj_t BgL_val1010z00_115)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
{ /* ./Read/include.scm 45 */
obj_t BgL_an_exitd1009z00_114;
{ /* ./Read/include.scm 45 */
int BgL_auxz00_322;
BgL_auxz00_322 = 
(int)(((long)0)); 
BgL_an_exitd1009z00_114 = 
PROCEDURE_REF(BgL_envz00_113, BgL_auxz00_322); } 
{ 
obj_t BgL_val1010z00_28;
BgL_val1010z00_28 = BgL_val1010z00_115; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1009z00_114, BgL_val1010z00_28);} } } 
}



/* <anonymous:1050> */
obj_t BGl_zc3anonymousza31050ze3z83zzread_includez00(obj_t BgL_envz00_116, obj_t BgL_escz00_119, obj_t BgL_objz00_120, obj_t BgL_procz00_121, obj_t BgL_msgz00_122)
{ AN_OBJECT;
{ /* ./Read/include.scm 45 */
{ /* ./Read/include.scm 45 */
obj_t BgL_armed1007z00_117;obj_t BgL_handler1004z00_118;
{ /* ./Read/include.scm 45 */
int BgL_auxz00_326;
BgL_auxz00_326 = 
(int)(((long)0)); 
BgL_armed1007z00_117 = 
PROCEDURE_REF(BgL_envz00_116, BgL_auxz00_326); } 
{ /* ./Read/include.scm 45 */
int BgL_auxz00_329;
BgL_auxz00_329 = 
(int)(((long)1)); 
BgL_handler1004z00_118 = 
PROCEDURE_REF(BgL_envz00_116, BgL_auxz00_329); } 
{ 
obj_t BgL_escz00_37;obj_t BgL_objz00_38;obj_t BgL_procz00_39;obj_t BgL_msgz00_40;
BgL_escz00_37 = BgL_escz00_119; 
BgL_objz00_38 = BgL_objz00_120; 
BgL_procz00_39 = BgL_procz00_121; 
BgL_msgz00_40 = BgL_msgz00_122; 
CELL_SET(BgL_armed1007z00_117, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* ./Read/include.scm 45 */
obj_t BgL_auxz00_334;
BgL_auxz00_334 = 
CELL_REF(BgL_handler1004z00_118); 
return 
PROCEDURE_ENTRY(BgL_auxz00_334)(
CELL_REF(BgL_handler1004z00_118), BgL_escz00_37, BgL_objz00_38, BgL_procz00_39, BgL_msgz00_40, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zzread_includez00(obj_t BgL_envz00_124, obj_t BgL_escapez00_126, obj_t BgL_procz00_127, obj_t BgL_mesz00_128, obj_t BgL_objz00_129)
{ AN_OBJECT;
{ /* ./Read/include.scm 41 */
{ /* ./Read/include.scm 42 */
obj_t BgL_portz00_125;
{ /* ./Read/include.scm 42 */
int BgL_auxz00_335;
BgL_auxz00_335 = 
(int)(((long)0)); 
BgL_portz00_125 = 
PROCEDURE_REF(BgL_envz00_124, BgL_auxz00_335); } 
{ 
obj_t BgL_escapez00_68;obj_t BgL_procz00_69;obj_t BgL_mesz00_70;obj_t BgL_objz00_71;
BgL_escapez00_68 = BgL_escapez00_126; 
BgL_procz00_69 = BgL_procz00_127; 
BgL_mesz00_70 = BgL_mesz00_128; 
BgL_objz00_71 = BgL_objz00_129; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_69, BgL_mesz00_70, BgL_objz00_71); 
close_input_port(BgL_portz00_125); 
return 
BGl_exitzd2bigloozd2zzinit_mainz00(
BINT(((long)3)));} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzread_includez00()
{ AN_OBJECT;
{ /* ./Read/include.scm 15 */
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "read_include"); 
BGl_modulezd2initializa7ationz75zzengine_enginez00(((long)46992), "read_include"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "read_include"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "read_include"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)6610), "read_include");} 
}

